ScummVM logo Forum Index - ScummVM website - Contact us - Buy Supported Games: GOG.com Rules - Search - Register - Login curved edge
Folder Forum Index > PSP Port > how do i get scumm vm to work on psp
how do i get scumm vm to work on psp
  Author    Thread Reply to topic
Dark Keyblader



Joined: 24 Feb 2006
Posts: 7
how do i get scumm vm to work on psp 

i have tried putting it in the game folder but it just says corrupted data?

 Reply with quote  
Post Thu Mar 02, 2006 12:35 pm 
 View user's profile Send private message
db92



Joined: 01 Jan 2006
Posts: 49
 

uhm, firmware? :S

 Reply with quote  
Post Thu Mar 02, 2006 12:45 pm 
 View user's profile Send private message Visit poster's website
pro



Joined: 03 Mar 2006
Posts: 5
 

Keyblader:

1: Make sure youre running v1.50 firmware (as its by far the easiest way to get any/all of the homebrew/emulation software working).

2: Get ScummVM for the psp and put the scummvm-psp and scummvm-psp% folders into the memory card in /PSP/GAME.

e.g

/PSP/GAME/scummvm-psp
/PSP/GAME/scummvm-psp%

3: copy the files from your original scummvm game disks (or cd) to the memory card somewhere.

e.g. on my memory card there is:

/PSP/GAME/DOTT <- contains day of the tentacle data from original cd

4: turn on the psp, browse to the memory card, there will be two things there:

a: a scummvm program to run!
b: a slot of corrupted data

Ignore the corrupted data, this is actualy how the psp sees the eboot.php in the scummvm-psp% folder (iirc, might the the one in the main scummvm-psp folder)

5: run the scummvm program

et voila, done.

If you arent running v1.50 firmware then you'll need to go look at the guide on how to downgrade your firmware. downgrading from v2.00 firmware is fine and easy (as ive done it lots!) but from what ive heard, if youre on v2.01+ then its either very difficult or actually just not possible.

 Reply with quote  
Post Wed Mar 08, 2006 10:17 am 
 View user's profile Send private message
kraft



Joined: 30 Jan 2006
Posts: 62
 

quote:
Originally posted by pro
If you arent running v1.50 firmware then you'll need to go look at the guide on how to downgrade your firmware. downgrading from v2.00 firmware is fine and easy (as ive done it lots!) but from what ive heard, if youre on v2.01+ then its either very difficult or actually just not possible.

it is possible and very easy actually, but you need GTA:LCS to run it

Just downlaod the eLoader from www.fanjita.org

when you download it automatically installs everything,

so once thats all installed just downlaod scummvm 0.8.2 and get the single eboot file and put it into the games folder in your psp.

also get the games you want that are compatible with scummvm and put them in their own file in the games folder.

once all thats done just start gta and the save file thats part of the eloader should load automatically and will load up the eloader, and in the menu should come up with scummvm, select it then select your game and youre playing
 Reply with quote  
Post Thu Mar 09, 2006 11:19 am 
 View user's profile Send private message
pro



Joined: 03 Mar 2006
Posts: 5
 

Yea fair point, if he can't get scumm working without help then asking him to do anything with firmware is a risky thing lol. Use the LCS eloader blader.

 Reply with quote  
Post Fri Mar 10, 2006 3:56 pm 
 View user's profile Send private message
  Display posts from previous:      
Reply to topic

Forum Jump:
 



Forum Rules:
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

 

Powered by phpBB © 2001, 2006 phpBB Group
Forum design by ScummVM team, icons by raina
curved edge   curved edge